Summary:	The drakxtools (diskdrake, ...)
Name:		drakxtools
Version:	14.47
Release:	20
License:	GPLv2+
Group:		System/Configuration/Other
Url:		https://abf.rosalinux.ru/soft/drakx
Source0:	%{name}-%{version}.tar.xz
Source1:	system-auth-win-default
Source2:	drakxservices.desktop
### REDIFF THIS PATCH CLOSER TO THE RELEASE RED2
%if "%{mdvver}" == "red20"
# Patch0:	drakxtools-14.44.mirror.BAD.patch
%endif
Patch1:		ext2-fs-renamed.patch
Patch2:		gpt-support.patch
Patch3:		drakxtools-14.47.tirpc.patch
Patch4:		drakxtools-14.47-partition-alignment-fixes.patch
Patch5:		drakxtools-14.47-computer-name.patch
Patch6:		drakxtools-14.47-efi-and-gpt.patch
Patch7:		drakxtools-14.47-separate-swaps.patch
Patch8:		drakxtools-14.47-fix-crypted-partition-width.patch
Patch9:		drakxtools-14.47-exclude-live-root-from-partitioning.patch
Patch10:	drakxtools-14.47-allow-crypted-system-partitions.patch
Patch11:	drakxtools-14.47-progress-msg-improved.patch
Patch12:	drakxtools-14.47-help-button-removed.patch
Patch13:	drakxtools-14.47-fix-lvm-clear.patch
Patch14:	drakxtools-14.47-fix-crypted-part-type.patch
Patch15:	drakxtools-14.47-fix-expert-mode-missing.patch
Patch16:	drakxtools-14.47-fix-fs-button-crash.patch
Patch17:	drakxtools-14.47-center-postinstall-dialog.patch
Patch18:	drakxtools-14.47-fix-hostname-suggest.patch
Patch19:	drakxtools-14.47-russian-translation-fix.patch
Patch20:	drakxtools-14.47-fix-partition-labels-encoding.patch
Patch21:	drakxtools-14.47-fix-dmcrypt-on-lvm.patch
Patch22:	drakxtools-14.47-add2raid-write-partitions.patch
Patch23:	drakxtools-14.47-cancel-buttons-partitioning.patch
Patch24:	drakxtools-14.47-minor-fixes.patch
Patch25:	drakxtools-14.47-drakbug-encoding.patch
Patch26:	drakxtools-14.47-bugzilla-url.patch
Patch27:	drakxtools-14.47-installer-fixes.patch
BuildRequires:	gettext
BuildRequires:	ldetect-devel >= 0.9.0
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	perl-devel
BuildRequires:	perl-MDK-Common-devel >= 1.1.8-3
BuildRequires:	pkgconfig(libparted)
BuildRequires:	drakx-installer-binaries
BuildRequires:	intltool
BuildRequires:  tirpc-devel

# usermode 1.111-3-rosa2012.1 has the /etc/pam.d/config-util
# files to which we symlink
Requires:	%{name}-curses = %{EVRD}
Requires:	perl-Gtk2 >= 1.220
Requires:	perl-Glib >= 1.072-1
Requires:	usermode >= 1.92-4
Requires:	mandriva-doc-common >= 9.2-5
Requires:	perl-Net-DBus
Requires:	perl-Gtk2-WebKit
Requires:	ldetect-lst >= 0.1.299
Requires:	pam
# needed by drakfont (eg: type1inst):
Requires:	font-tools
Requires:	libxxf86misc
# needed by any::enable_x_screensaver()
Requires:	xset
Suggests:	drakx-net
Requires:	drakconf-icons
# needed for installing packages through do_pkgs -> urpmi -> gmessage
Requires:	gurpmi >= 5.7
Conflicts:	drakconf < drakconf-11.7.2
Conflicts:	rpmdrake < 3.26-1
Conflicts:	mandrake_doc-drakxtools-en < 9.2
Conflicts:	mandrake_doc-drakxtools-es < 9.2
Conflicts:	mandrake_doc-drakxtools-fr < 9.2
Conflicts:	bootloader-utils < 1.8-4
Conflicts:	bootsplash < 2.1.7-1
Conflicts:	drakx-kbd-mouse-x11 < 0.91
Conflicts:	initscripts < 8.33-4

Provides:	draksec = %{EVRD}
%define __noautoreq perl(Net::FTP)\\|perl(Time::localtime)\\|perl(URPM)\\|perl(Xconfig.*)

%description
Contains many Mandriva Linux applications simplifying users and
administrators life on a Mandriva Linux machine. Nearly all of
them work both under XFree (graphical environment) and in console
(text environment), allowing easy distant work.

- drakclock: date & time configurator
- drakfont: import fonts in the system
- draklog: show extracted information from the system logs
- draksec: security options managment

%files -f %{name}-gtk.list
%{_bindir}/drakclock
%{_bindir}/drakfont
%{_bindir}/drakguard
%{_bindir}/draksec
%config(noreplace) %{_sysconfdir}/security/console.apps/drakclock
%config(noreplace) %{_sysconfdir}/security/console.apps/drakfont
%config(noreplace) %{_sysconfdir}/security/console.apps/drakguard
%config(noreplace) %{_sysconfdir}/security/console.apps/draksec
%config(noreplace) %{_sysconfdir}/pam.d/drakclock
%config(noreplace) %{_sysconfdir}/pam.d/drakfont
%config(noreplace) %{_sysconfdir}/pam.d/drakguard
%config(noreplace) %{_sysconfdir}/pam.d/draksec

%post
%make_session
[[ ! -e %{_sbindir}/kbdconfig ]] && ln -s -f keyboarddrake %{_sbindir}/kbdconfig
[[ ! -e %{_sbindir}/mouseconfig ]] && ln -s -f mousedrake %{_sbindir}/mouseconfig
:

%postun
%make_session
for i in %{_sbindir}/kbdconfig %{_sbindir}/mouseconfig %{_bindir}/printtool;do
    [[ -L $i ]] && rm -f $i
done
:

#----------------------------------------------------------------------------

%package curses
Summary:	The drakxtools (diskdrake, ...)
Group:		System/Configuration/Other
Requires:	usermode-consoleonly >= 1.44-4
Requires:	urpmi >= 4.8.23
Requires:	perl-Locale-gettext >= 1.05-4
Requires:	module-init-tools
Requires:	%{name}-backend = %{EVRD}
Suggests:	drakx-net-text
Provides:	diskdrake = %{EVRD}
Provides:	kbdconfig = %{EVRD}
Provides:	mouseconfig = %{EVRD}
Provides:	setuptool = %{EVRD}
Provides:	drakfloppy = %{EVRD}
Provides:	drakxtools-newt = %{EVRD}
%define __noautoreq perl(Gtk2::WebKit)\\|perl(Xconfig::various)

%description curses
Contains many Mandriva Linux applications simplifying users and
administrators life on a Mandriva Linux machine. Nearly all of
them work both under XFree (graphical environment) and in console
(text environment), allowing easy distant work.

- adduserdrake: help you adding a user
- diskdrake: DiskDrake makes hard disk partitioning easier. It is
  graphical, simple and powerful. Different skill levels are available
  (newbie, advanced user, expert). It's written entirely in Perl and
  Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
  Andrew Clausen (libresize).
- drakauth: configure authentification (LDAP/NIS/...)
- drakkeyboard: configure your keyboard (both console and X)
- draklocale: language configurator, available both for root
  (system wide) and users (user only)
- drakmouse: autodetect and configure your mouse
- drakscanner: scanner configurator
- draksound: sound card configuration
- drakx11: menu-driven program which walks you through setting up
  your X server; it autodetects both monitor and video card if
  possible
- drakxservices: SysV services and daemons configurator
- lsnetdrake: display available nfs and smb shares
- lspcidrake: display your pci information, *and* the corresponding
  kernel module

%files curses -f %{name}.list
%{_datadir}/applications/localedrake*.desktop
%{_datadir}/applications/drakxservices.desktop
%doc perl-install/diskdrake/diskdrake.html
%{_iconsdir}/localedrake.png
%{_iconsdir}/large/localedrake.png
%{_iconsdir}/mini/localedrake.png
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakups
%{_bindir}/drakauth
%{_bindir}/draklog
%{_bindir}/drakxservices
%{_bindir}/drakboot
%{_bindir}/drakedm
%{_bindir}/diskdrake
%{_bindir}/drakscanner
%{_bindir}/mousedrake
%{_bindir}/scannerdrake
# PAM hack
%{_sysconfdir}/pam.d/system-auth-win-default
%config(noreplace) %{_sysconfdir}/security/console.apps/drakkeyboard
%config(noreplace) %{_sysconfdir}/security/console.apps/drakmouse
%config(noreplace) %{_sysconfdir}/security/console.apps/drakups
%config(noreplace) %{_sysconfdir}/security/console.apps/drakauth
%config(noreplace) %{_sysconfdir}/security/console.apps/draklog
%config(noreplace) %{_sysconfdir}/security/console.apps/drakxservices
%config(noreplace) %{_sysconfdir}/security/console.apps/drakboot
%config(noreplace) %{_sysconfdir}/security/console.apps/drakedm
%config(noreplace) %{_sysconfdir}/security/console.apps/diskdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/drakscanner
%config(noreplace) %{_sysconfdir}/security/console.apps/mousedrake
%config(noreplace) %{_sysconfdir}/security/console.apps/scannerdrake
%config(noreplace) %{_sysconfdir}/pam.d/drakkeyboard
%config(noreplace) %{_sysconfdir}/pam.d/drakmouse
%config(noreplace) %{_sysconfdir}/pam.d/drakups
%config(noreplace) %{_sysconfdir}/pam.d/drakauth
%config(noreplace) %{_sysconfdir}/pam.d/draklog
%config(noreplace) %{_sysconfdir}/pam.d/drakxservices
%config(noreplace) %{_sysconfdir}/pam.d/drakboot
%config(noreplace) %{_sysconfdir}/pam.d/drakedm
%config(noreplace) %{_sysconfdir}/pam.d/diskdrake
%config(noreplace) %{_sysconfdir}/pam.d/drakscanner
%config(noreplace) %{_sysconfdir}/pam.d/mousedrake
%config(noreplace) %{_sysconfdir}/pam.d/scannerdrake

#----------------------------------------------------------------------------

%package backend
Summary:	Drakxtools libraries and background tools
Group:		System/Configuration/Other
Requires:	dmidecode
Requires:	perl-File-FnMatch
# for fileshareset and filesharelist (#17123)
#Requires:	perl-suid
# for common::wrap_command_for_root()
Requires:	perl-String-ShellQuote
# "post" here means %triggerpostun:
Requires(post):	perl-MDK-Common >= 1.2.27
Conflicts:	drakxtools-newt < 10-51
Conflicts:	drakx-net < 0.28
Conflicts:	e2fsprogs < 1.41.1-2mnb

%description backend
See package %{name}.

%files backend -f %{name}-backend.list
%config(noreplace) /etc/security/fileshare.conf
%{_docdir}/*license.html

%triggerpostun backend -- drakxtools-backend < 11.44
echo "Migrating /etc/fstab and bootloader configuration to use UUIDs. Previous files are saved with extension .before-migrate-to-uuids"
%{_sbindir}/bootloader-config --action migrate-to-uuids ||:

%triggerpostun backend -- drakxtools-backend < 11.52
echo "Updating /etc/modprobe.preload.d/floppy"
perl -I/usr/lib/libDrakX -Mharddrake::autoconf -e 'harddrake::autoconf::floppy()' ||:

#----------------------------------------------------------------------------

%package http
Summary:	The drakxtools via http
Group:		System/Configuration/Other
Requires:	%{name}-curses = %{EVRD}
Requires:	perl(Net::SSLeay) >= 1.22-1
Requires:	perl-Authen-PAM >= 0.14-1
Requires:	perl-CGI >= 2.91-1
Requires(pre,post):	rpm-helper

%description http
This package lets you configure your computer through your Web browser:
it provides an HTTP interface to the Mandriva tools found in the drakxtools
package.

%files http -f %{name}-http.list
%dir %{_sysconfdir}/drakxtools_http
%config(noreplace) %{_sysconfdir}/pam.d/miniserv
%{_sysconfdir}/init.d/drakxtools_http
%config(noreplace) %{_sysconfdir}/drakxtools_http/conf
%config(noreplace) %{_sysconfdir}/drakxtools_http/authorised_progs
%config(noreplace) %{_sysconfdir}/logrotate.d/drakxtools-http

%post http
%_post_service drakxtools_http

%preun http
%_preun_service drakxtools_http

#----------------------------------------------------------------------------

%package -n drakx-finish-install
Summary:	First boot configuration
Group:		System/Configuration/Other
Requires:	%{name} = %{EVRD}
Requires:	drakx-installer-matchbox
Requires:	perl-Geo-IP

%description -n drakx-finish-install
For OEM-like duplications, it allows at first boot:
- network configuration
- creating users
- setting root password
- choosing authentication

%files -n drakx-finish-install
%config(noreplace) %{_sysconfdir}/sysconfig/finish-install
%{_sysconfdir}/X11/xsetup.d/??finish-install.xsetup
%{_sbindir}/finish-install

#----------------------------------------------------------------------------

%package -n harddrake
Summary:	Main Hardware Configuration/Information Tool
Group:		System/Configuration/Hardware
Requires:	%{name}-curses = %{EVRD}
Provides:	kudzu = %{EVRD}
Provides:	kudzu-devel = %{EVRD}
Provides:	libdetect0 = %{EVRD}
Provides:	libdetect0-devel = %{EVRD}
Provides:	libdetect-lst = %{EVRD}
Provides:	libdetect-lst-devel = %{EVRD}
Provides:	detect = %{EVRD}
Provides:	detect-lst = %{EVRD}
Requires(pre,post):	rpm-helper
Requires:	drakx-kbd-mouse-x11
Suggests:	libdrakx-net
Suggests:	drak3d
Requires:	meta-task

%description -n harddrake
The harddrake service is a hardware probing tool run at system boot
time to determine what hardware has been added or removed from the
system.

It then offer to run needed config tool to update the OS
configuration.

%files -n harddrake
%dir /etc/sysconfig/harddrake2/
%config(noreplace) /etc/sysconfig/harddrake2/previous_hw
%config(noreplace) /etc/sysconfig/harddrake2/service.conf
%config(noreplace) %{_sysconfdir}/sysconfig/harddrake2/kernel
%dir %{_datadir}/harddrake/
%{_datadir}/harddrake/*
%{_sysconfdir}/X11/xsetup.d/??notify-x11-free-driver-switch.xsetup
#%{_sysconfdir}/X11/xinit.d/harddrake2

%postun -n harddrake
file /etc/sysconfig/harddrake2/previous_hw | fgrep -q perl && %{_datadir}/harddrake/convert || :

%triggerpostun -n harddrake -- harddrake < 11.62-2
rm -f /etc/rc.d/*/{K,S}??harddrake

#----------------------------------------------------------------------------

%package -n harddrake-ui
Summary:	Main Hardware Configuration/Information Tool
Group:		System/Configuration/Hardware
Requires:	%{name} = %{EVRD}
Requires:	sane-backends
Requires:	drakx-kbd-mouse-x11
Suggests:	libdrakx-net
Suggests:	drak3d

%description -n harddrake-ui
This is the main configuration tool for hardware that calls all the
other configuration tools.

It offers a nice GUI that show the hardware configuration splitted by
hardware classes.

%files -n harddrake-ui
%dir /etc/sysconfig/harddrake2/
%{_sbindir}/harddrake2
%{_bindir}/harddrake2
%config(noreplace) %{_sysconfdir}/security/console.apps/harddrake2
%config(noreplace) %{_sysconfdir}/pam.d/harddrake2
%{_datadir}/pixmaps/harddrake2
%{_datadir}/applications/harddrake.desktop
%{_iconsdir}/large/harddrake.png
%{_iconsdir}/mini/harddrake.png
%{_iconsdir}/harddrake.png

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%make -C perl-install CFLAGS="%{optflags}" -I/usr/include/ldetect/

%install
%make -C perl-install PREFIX=%{buildroot} install
mkdir -p %{buildroot}%{_sysconfdir}/{X11/xinit.d,X11/wmsession.d,sysconfig/harddrake2}
touch %{buildroot}/etc/sysconfig/harddrake2/previous_hw

dirs1="usr/lib/libDrakX usr/share/libDrakX"
(cd %{buildroot} ; find $dirs1 usr/bin usr/sbin ! -type d -printf "/%%p\n")|egrep -v 'bin/.*harddrake' > %{name}.list
(cd %{buildroot} ; find $dirs1 -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e '/dbus_object\.pm|Xdrakres|clock|display_help|display_release_notes.pl|drak(bug|clock|dvb|floppy|font|hosts|log|sec|splash)|gtk|icons|logdrake|pixmaps|\.png$/ ? print STDERR $_ : print' %{name}.list 2> %{name}-gtk.list
perl -ni -e '/http/ ? print STDERR $_ : print' %{name}.list 2> %{name}-http.list
perl -ni -e 'm!lib/libDrakX|bootloader-config|fileshare|lsnetdrake|drakupdate_fstab|rpcinfo|serial_probe! && !/curses/i ? print STDERR $_ : print' %{name}.list 2> %{name}-backend.list
perl -pi -e 's|^(/usr/sbin/fileshareset)$|%%attr(4755,root,root) $1|;' %{name}-backend.list
perl -ni -e '/finish-install/ ? print STDERR $_ : print' %{name}.list 2> finish-install.list

#mdk menu entry
mkdir -p %{buildroot}%{_datadir}/autostart

cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/harddrake2 <<EOF
#!/bin/sh
exec /usr/share/harddrake/service_harddrake X11
EOF

cat > %{buildroot}%{_sysconfdir}/sysconfig/harddrake2/kernel <<EOF
KERNEL=3.8
EOF

mv %{buildroot}%{_sbindir}/service_harddrake_confirm %{buildroot}%{_datadir}/harddrake/confirm

mkdir -p %{buildroot}%{_docdir}
install -m 0644 *license.html %{buildroot}%{_docdir}

chmod +x %{buildroot}{%{_datadir}/harddrake/{conf*,service_harddrake},%{_sysconfdir}/X11/xinit.d/harddrake2}
# temporary fix until we reenable this feature
rm -f %{buildroot}%{_sysconfdir}/X11/xinit.d/harddrake2

perl -I perl-install -mharddrake::data -e 'print "DETECT_$_->{class}=yes\n" foreach @harddrake::data::tree' |sort > %{buildroot}%{_sysconfdir}/sysconfig/harddrake2/service.conf
echo -e "AUTORECONFIGURE_RIGHT_XORG_DRIVER=yes\n" >> %{buildroot}%{_sysconfdir}/sysconfig/harddrake2/service.conf

install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/

# consolehelper config
#

# - console user, no password
for pak in drakclock drakkeyboard drakmouse drakfont mousedrake drakscanner drakmouse scannerdrake; do
        ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=%{_sbindir}/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
		cat > %{buildroot}%{_sysconfdir}/pam.d/$pak  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF
done

# console user, ask for root password
for pak in drakups drakauth draklog drakxservices drakboot draksec drakguard harddrake2 drakedm diskdrake; do
        ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
        mkdir -p %{buildroot}%{_sysconfdir}/pam.d
		cat > %{buildroot}%{_sysconfdir}/pam.d/$pak  <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF
done

%find_lang libDrakX libDrakX.lang
%find_lang libDrakX-standalone libDrakX-standalone.lang
cat libDrakX.lang libDrakX-standalone.lang >> %{name}.list

# pamd hack
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/system-auth-win-default

%check
cd perl-install
%make check


%changelog
* Mon Sep 22 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-20
+ Revision: c7cdae6
- Various installer fixes/improvements
- 1. Excluded OpenVPN from startup services configuration: it won't start anyway without configuring it first.
- 2. Moved "Enable/Disable swap" buttons to normal mode.
- 3. Disallowed encrypted root without separate /boot.
- 4. If custom partitioning is faulty, return back to custom partitioning dialog, not to the list of predefined schemes.
- 5. Do not repeatedly display "backup data" warning when custom partitioning dialog is reopened because of problems.
- 6. New cities added for timezones translation; Russian translation updated.

* Wed Sep 03 2014 Denis Silakov <denis.silakov@rosalab.ru> 14.47-19
+ Revision: b02831c
- Fix bugzilla URL

* Fri Aug 15 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-18
+ Revision: be6a222
- Re-fixed partition labels encoding

* Thu Aug 14 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-17
+ Revision: 1861dea
- Fixed wrong message encoding in drakbug

* Tue Aug 12 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-16
+ Revision: 6facf74
- Various minor fixes
- 1. Changing partition type did not change its description and set of action buttons (e.g. when changing from usual FS to LVM).
- 2. Creating encrypted LVM or RAID partition in expert mode asked whether to check for bad blocks, but it did not affect anything (no formatting is performed).
- 3. Creating encrypted RAID partition displayed an error "failed to format".
- 4. Internal crash under rare conditions.

* Mon Aug 11 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-15
+ Revision: c6cc9f0
- Added Cancel buttons also to other secondary dialogs
- 1. All secondary partitioning dialogs in installer now also have Cancel button.

* Fri Aug 08 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-14
+ Revision: e4b0242
- More fixes
- 1. Fixed regression in 14.47-13 (RAID::LVM::encrypted_partition -> crash).
- 2. Forcing to write partition table when adding partition to RAID (required for mdadm to see partitions).

* Fri Aug 08 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-13
+ Revision: 6db81e6
- Fixes and improvements in diskdrake/installer
- 1. Non-latin letters in partition labels were displayed as garbage.
- 2. Minor fix in Russian translation.
- 3. Creating an encrypted partition on LVM corrupted the dialog contents.
- 4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
- 5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
- 6. Add Partition dialog now contains the Cancel button also in installer, not only in diskdrake.

* Thu Jul 10 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-12
+ Revision: d0c4bae
- Minor fixes and improvements
- 1. Moving postinstall configuration dialog to the center of the screen.
- 2. Fixed: Autohostname was not always suggested.

* Fri Jul 04 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-11
+ Revision: 3c68e20
- Several bugs fixed in installer/diskdrake
- 1. Fixed: RAID/Loopback, click Ext4/XFS/... button - crash.
- 2. Fixed: Expert Mode missing when RAID/Loopback selected.
- 3. Fixed: Crypted LVM/RAID displayed wrong partition type.
- 4. Fixed: Do not show GPT/MBR selection when clearing LVM.

* Mon Jun 30 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-10
+ Revision: ca051a2
- Various fixes and improvements in installer
- 1. Excluded Live root disk from partitioning.
- 2. Allowed to assign system mount points (/, /usr, /var) to crypted partitions. Requires rd.auto=1 in kernel parameters (draklive-isntall is updated accordingly).
- 3. Disallowed to assign to crypted partitions not only /boot, but also all its subdirs.
- 4. Closed a workaround for assigning disallowed mount points (first create a crypted partition, then assign any mount point). Now trying to do so for /boot or subdir displays error message.
- 5. Fixed crypted partition buttons width.
- 6. Minor improvements for title/text of some progress dialogs.
- 7. Removed Help button from diskdrake/installer as outdated.

* Mon Jun 30 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-9
+ Revision: 0e293a2
- Separate swap management
- 1. Existing swap partitions are not used by the new ROSA automatically anymore: they may be used by another Linux for hibernating.
- 2. Added buttons for explicitly marking swap partition for using or not using (Expert mode).
- 3. Swap created during installation is marked as used by default.

* Mon Jun 30 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-9
+ Revision: f4dd2e0
- Support for EFI installation and GPT disks
- 1. Added support for installing in EFI mode:
- a) improved support for special EFI partition type;
- b) auto-allocation: added creating and/or mounting EFI partition to /boot/efi.
- 2. Improved GPT disks handling:
- a) resizing a partition does not reset its GPT GUID anymore (which caused existing Windows fail to boot);
- b) added support for booting from GPT disks in legacy BIOS mode (special BIOS Boot Partition is used; also added to auto-allocation);
- c) removed excessive kernel calls in partitioning (libparted handles them itself).
- 3. Added various checks with warnings about possible booting problems related to EFI and GPT.
- 4. Fixed autosuggested hostname which in some cases contained a very long descriptive message.
- 5. Some fixes related to 1 MB partition alignment.

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 14.47-8
+ Revision: fb2b851
- MassBuild#440: Increase release tag

* Thu May 29 2014 Alex Burmashev <alex.burmashev@gmail.com> 14.47-7
+ Revision: 3c146f6
- added tirpc patch

* Thu May 29 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 14.47-6
+ Revision: 211bbb6
- add tirpc-devel to BR

* Wed May 28 2014 Denis Silakov <denis.silakov@rosalab.ru> 14.47-5
+ Revision: 44efc25
- Rebuild with new perl

* Thu May 22 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-4
+ Revision: a0b6f6a
- Russian translation updated

* Thu May 22 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-3
+ Revision: 5a2581e
- Fixed GPT GUID for swap partitions

* Wed May 21 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-2
+ Revision: 6dd19c5
- Added GPT partitioning support
- 1. The 'Clear all' button now allows to choose from MBR and GPT partition table types:
- a) in Expert mode the dialog is always displayed;
- b) in Normal mode the dialog is normally not displayed, and the current partition table type is retained (instead of dropping to MBR, as it was earlier);
- c) if user booted in EFI mode, and the disk is MBR, the dialog is displayed even in Normal mode, suggesting GPT by default.
- 2. Various fixes in GPT code.
- 3. Renamed 'Linux native' to 'Linux native (ext2)' for clarity.

* Mon May 19 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.47-1
+ Revision: 0d358eb
- Merged patches; synchronized with source repo
- 1. Repacked latest sources into new tarball.
- 2. Removed archive with licenses (duplicate).

* Sun May 18 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.46-22
+ Revision: c28d8ce
- Fix arguments for select_timezone

* Fri May 16 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.46-22
+ Revision: 58d6ad3
- Using logarithmic scale for partition buttons
- 1. Now draklive-install and diskdrake instead of proportional scale use logarithmic scale for drawing the partition scheme (allows to avoid extremely small buttons while still keeping larger-smaller relations).
- 2. When user resizes the dialog, partition buttons are now resized correctly. Also, switching between normal/expert modes after resizing the dialog no longer changes the button sizes.

* Wed May 14 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.46-22
+ Revision: 2b2a70a
- Improved installer message about low resources
- 1. Warning text is now highlighted to attract attention.
- 2. Added explicit information that installation is still possible.

* Wed May 14 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.46-22
+ Revision: 8e82a17
- Localization and translation improvements
- 1. If two timezones have identical translations, only one of them is displayed.
- 2. Minor Russian translation fixes.

* Mon May 12 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.46-21
+ Revision: ed3e6da
- Fixed: Temp file was not always removed

* Fri Apr 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 14.46-17
+ Revision: 88f190d
- More fixes with localized timezones
- 1. Timezone localization wasn't used by drakclock.
- 2. Timezone dialog ignored non-latin letters typed for quickly selecting an item starting with these letters.
- 3. Pressing Cancel in drakclock's timezone selecting dialog actually selected and applied an "empty" (invalid) timezone.
- 4. Installer: Moved keyboard selection before timezone, so that user could use search-by-typing feature using his/her layout.

* Thu Apr 24 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.46-16
+ Revision: 4f1e981
- Fix typo

* Thu Apr 24 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.46-16
+ Revision: e826c63
- Update Categories for drakxservices.desktop

* Thu Apr 24 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.46-16
+ Revision: 89de080
- More basic spec cleanups


